﻿@model StarterProjectV2.ViewModels.OwnerSearchByIdView
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/css/select2.min.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/js/select2.min.js"></script>
}
@section FOOTERJS{
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}
@{
    ViewBag.Title = "BookingSearchBySmartId";
}
@section PAGETITLE{
    Booking Search By Smart Id
}
<div class="row justify-content-center ">
    <div class="card col-12">
        <div class="card-body">
            <h1 class="text-center mb-5" style="color: indianred">Search Owners Information Search by ID </h1>
            <p class="text-muted"></p>
            @using (Html.BeginForm("gettingBookingSearchById", "OwnersInfo", new { }, FormMethod.Post))
            {
                <div class="d-flex justify-content-center">
                    <div class="form-group mb-3 d-flex flex-row justify-content-center w-75"
                         style="width: 100%">
                        <label style="width:30%">Put the Slot Id / Smart Id</label>
                        @*<input type="text" id="Id">*@
                        @Html.TextBoxFor(m => m.Id, new { @class = "form-control", type = "text" })
                        <button style="width:30%" type="submit" class="btn btn-primary">Submit</button>
                    </div>
                </div>
            }
            @if (Model.IsDataPresent == true)
            {
                if (Model.IsSearchResultFound == true)
                {
                    var time_profile = "?" + DateTime.Now.ToString("h:mm:ss tt");
                    var ownPicturePath = "~/upload/" + Model.SlotId + ".jpg";
                    <div align="center" class="mb-3">
                        <img id="TIN-pic" src="@Url.Content(ownPicturePath+ time_profile)" alt="HTML5 Icon" width="128" height="128" onerror="this.onerror = null;this.src = 'https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460__340.png';">
                    </div>
                    <div class="input-group mb-3">
                        @Html.LabelFor(m => m.Name, new { @class = "col-sm-3 col-lg-2 col-md-3  col-form-label" })
                        @*@Html.TextBoxFor(m => m.Name, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Owner's Name", type = "text", @readonly = "readonly" })*@
                        <div class="col-lg-4 col-md-4 col-sm-4">
                            <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                                @Html.DisplayFor(m => m.Name)
                            </p>
                        </div>


                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label" for="text-input">Slot Id</label>
                        @*@Html.TextBoxFor(m => m.SlotId,
                            new { @class = "form-control col-sm-3 col-lg-3 col-md-3", type = "text", @readonly = "readonly" })*@
                        <div class="col-lg-4 col-md-4 col-sm-4">
                            <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                                @Html.DisplayFor(m => m.SlotId)
                            </p>
                        </div>

                    </div>
                    <div class="input-group mb-3">
                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label" for="text-input">Fathers Name</label>
                        @*@Html.TextBoxFor(m => m.FathersName, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Owner's Father's Name", type = "text", @readonly = "readonly" })*@
                        <div class="col-lg-4 col-md-4 col-sm-4">
                            <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                                @Html.DisplayFor(m => m.FathersName)
                            </p>
                        </div>

                        @Html.LabelFor(m => m.NID, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })
                        @*@Html.TextBoxFor(m => m.NID,
                            new { @class = "form-control col-sm-3 col-lg-3 col-md-3", type = "text", @readonly = "readonly" })*@
                        <div class="col-lg-4 col-md-4 col-sm-4">
                            <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                                @Html.DisplayFor(m => m.NID)
                            </p>
                        </div>

                    </div>
                    <div class="input-group mb-3">
                        @Html.LabelFor(m => m.TIN, new { @class = "col-sm-3 col-lg-2 col-md-3  col-form-label" })
                        @*@Html.TextBoxFor(m => m.TIN, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Owner's Name", type = "text", @readonly = "readonly" })*@
                        <div class="col-lg-4 col-md-4 col-sm-4">
                            <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px">
                                @Html.DisplayFor(m => m.TIN)
                            </p>
                        </div>

                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label" for="text-input">Ownership Date</label>
                        @*@Html.TextBoxFor(m => m.SalesDate,
                            new { @class = "form-control col-sm-3 col-lg-3 col-md-3", type = "text", @readonly = "readonly" })*@
                        <div class="col-lg-4 col-md-4 col-sm-4">
                            <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                                @Html.DisplayFor(m => m.SalesDate)
                            </p>
                        </div>

                    </div>
                    for (int i = 0; i < @Model.NoOfDaysHasStayedList.Count; i++)
                    {
                        <h3 class="ml-3"> <span class="badge badge-primary">Financial Year: @Model.FinancialYearNameList.ElementAt(i)</span><button type="button" class="btn ml-2 mb-1 btn-sm btn-outline-primary" onclick="location.href = '@Url.Action("DetailsBookingInformation", "OwnersInfo", new {slotId=@Model.SlotId, finId = @Model.FinancialYearIDList.ElementAt(i)})'">Click Here For Details</button></h3>
                        <div class="input-group mb-3">
                            <label class="col-sm-3 col-lg-3 col-md-3  col-form-label" for="text-input">Allotted No of Days in Current Year</label>
                            @*Html.TextBoxFor(m => m.NoOfDaysCanStayList.ElementAt(i), new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Owner's Name", type = "text", @readonly = "readonly" })*@
                            @*<input type="number" class="form-control col-sm-3 col-lg-2 col-md-2" value="@Model.NoOfDaysCanStayList.ElementAt(i)" readonly="readonly" />*@
                            <div class="col-lg-4 col-md-4 col-sm-4">
                                <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                                    @Html.DisplayFor(m => m.NoOfDaysCanStayList)
                                </p>
                            </div>

                            <label class="col-sm-3 col-lg-2 col-md-3  col-form-label" for="text-input">No of Days Has Stayed</label>
                            @*Html.TextBoxFor(m => m.NoOfDaysHasStayedList.ElementAt(i),*@
                            @*new { @class = "form-control col-sm-3 col-lg-3 col-md-3", type = "text", @readonly = "readonly" })*@
                            @*<input type="number" class="form-control col-sm-3 col-lg-3 col-md-3" value="@Model.NoOfDaysHasStayedList.ElementAt(i)" readonly="readonly" />*@
                            <div class="col-lg-4 col-md-4 col-sm-4">
                                <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                                    @Html.DisplayFor(m => m.NoOfDaysHasStayedList)
                                </p>
                            </div>

                        </div>
                    }
                }
                else
                {
                    <div class="text-center" id="message">
                        <br><h3 style='color:brown'>No Result Found</h3>
                    </div>
                }
            }
            <div class="table-responsive-lg" id="js-table">
                <table id="dtBasicExample" data-pagination="true" class="table table-hover table-dark" style="margin-bottom: 0"></table>
            </div>
            <div id="ownersSummary">

            </div>
            <div class="text-center" id="message">
            </div>
        </div>
    </div>
</div>


<script>
    function full_submit() {
        //alert("hello");
        var id = $("#Id").val();
        //alert(id);
        var myModel = {
            Id: id,
        };
        $.ajax({
            context: this,
            type: 'post',
            url: '../OwnersInfo/gettingBookingSearchById/',
            data: myModel,
            success: function (result) {
                //document.getElementById('js-table').style.display = 'block';
                showSummary(result);
            },
            error: function () {
            }
        });

    }
</script>
<script>
    $(document).ready(function () {
        $(document).ready(function() {
            $("#newItem").remove();
            $("#editItem").remove();
            $("#saveItem").remove();
            $("#deleteItem").remove();
            $('#printItem').click(function(){
                window.print();
            });

            $('#reloadItem').click(function() {
                location.reload();
            });
            $("#reportItem").remove();
            $("#dashboardItem").click(function() {
            });
            @*$("#reportItem").click(function() {
            document.location = '@Url.Action("RoomReport", "OwnersInfo")';
        });*@

        });
    });
</script>
<script src="~/Content/vendors/js/jquery.min.js"></script>
<script src="~/Content/vendors/js/popper.min.js"></script>
<script src="~/Content/vendors/js/bootstrap.min.js"></script>
<script src="~/Content/vendors/js/pace.min.js"></script>
<script src="~/Content/vendors/js/toastr.min.js"></script>
<script src="~/Content/vendors/js/perfect-scrollbar.min.js"></script>
<script src="~/Content/vendors/js/coreui.min.js"></script>